Bug 183267 - tcsh crashes when loading history file
tcsh crashes when loading history file
Product: Fedora
Classification: Fedora
Component: tcsh (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Bill Huang
Depends On:
  Show dependency treegraph
Reported: 2006-02-27 15:37 EST by Tomasz Kepczynski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 6.14-6.fc5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-20 14:32:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
core dump from "history -M history" command (190.55 KB, application/octet-stream)
2006-02-27 15:37 EST, Tomasz Kepczynski
no flags Details
offending history file (49.75 KB, text/plain)
2006-02-27 15:38 EST, Tomasz Kepczynski
no flags Details

  None (edit)
Description Tomasz Kepczynski 2006-02-27 15:37:15 EST
Description of problem:
I was unable to login to my account. Investigation revealed ~/.history file to
be blamed as moving it out of the way to another location let me to use my
account. I saved a file (attached) and tried to load it with:
$ history -M history
and it coredumped (also attached)

Version-Release number of selected component (if applicable):

How reproducible:
Always with provided history file.
Additional info:
What may be important here is that:
1. I use pl_PL.utf8 locale
2. history seems to keep a lot of crap from Midnight Commander
Comment 1 Tomasz Kepczynski 2006-02-27 15:37:15 EST
Created attachment 125349 [details]
core dump from "history -M history" command
Comment 2 Tomasz Kepczynski 2006-02-27 15:38:25 EST
Created attachment 125350 [details]
offending history file
Comment 3 Miloslav Trmač 2006-02-27 22:14:48 EST
Please test tcsh-6.14-1.fc4.2 from the updates-testing repository.
Comment 4 Tomasz Kepczynski 2006-02-28 15:15:46 EST
Seems to be OK.
Comment 5 Fedora Update System 2006-03-20 11:33:54 EST
tcsh-6.14-6.fc5.1 has been pushed for FC5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 6 Miloslav Trmač 2006-03-20 14:32:25 EST
Thanks for your report and testing.

Note You need to log in before you can comment on or make changes to this bug.